Subject: linux-next: build failure after merge of the drm-misc tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 17 Sep 2021 17:09:53 +1000

Hi all,

After merging the drm-misc tree, today's linux-next build (x86_64
modules_install) failed like this:

depmod: ERROR: Cycle detected: drm_kms_helper -> drm -> drm_kms_helper
depmod: ERROR: Cycle detected: cec
depmod: ERROR: Found 2 modules in dependency cycles!

Caused by commit

  87ea95808d53 ("drm/bridge: Add a function to abstract away panels")

I have reverted these commits for today:

  a43dd76bacd0 ("drm/vc4: dsi: Switch to devm_drm_of_get_bridge")
  0caddbbfdfa2 ("drm/vc4: dpi: Switch to devm_drm_of_get_bridge")
  87ea95808d53 ("drm/bridge: Add a function to abstract away panels")

-- 
Cheers,
Stephen Rothwell